import * as React from "react";
interface ICarouselProps {
    slides: React.ReactElement[];
    duration?: number;
    animationDuration?: number;
    animationTimingFunction?: string;
    animationType?: "FADE" | "SLIDE_LEFT" | "SLIDE_RIGHT";
    animationDelay?: number;
    withNavigation?: boolean;
    customAnimation?: {
        active: {
            from: React.CSSProperties;
            to: React.CSSProperties;
        };
        next: {
            from: React.CSSProperties;
            to: React.CSSProperties;
        };
    };
}
export default function Carousel(props: ICarouselProps): React.ReactElement;
export {};
